Index: lib/libalpm/po/it.po
===================================================================
RCS file: /home/cvs-pacman/pacman-lib/lib/libalpm/po/it.po,v
retrieving revision 1.14
diff -u -r1.14 it.po
--- lib/libalpm/po/it.po	4 Mar 2007 06:28:49 -0000	1.14
+++ lib/libalpm/po/it.po	4 Mar 2007 14:16:05 -0000
@@ -9,8 +9,8 @@
 msgstr ""
 "Project-Id-Version: libalpm VERSION\n"
 "Report-Msgid-Bugs-To: pacman-dev@archlinux.org\n"
-"POT-Creation-Date: 2007-03-03 23:42-0600\n"
-"PO-Revision-Date: 2007-03-03 17:30+0100\n"
+"POT-Creation-Date: 2007-03-04 14:55+0100\n"
+"PO-Revision-Date: 2007-03-04 16:00+0100\n"
 "Last-Translator: Giovanni Scafora <linuxmania@gmail.com>\n"
 "Language-Team: Arch Linux Italian Team <linuxmania@gmail.com>\n"
 "MIME-Version: 1.0\n"
@@ -82,7 +82,7 @@
 msgstr "rimozione del vecchio pacchetto (%s-%s) in corso"
 
 #: lib/libalpm/add.c:405
-#, fuzzy, c-format
+#, c-format
 msgid "adding %s to the NoUpgrade array temporarily"
 msgstr "aggiunta in corso di %s nell'array temporaneo NoUpgrade"
 
@@ -90,7 +90,7 @@
 msgid "extracting files"
 msgstr "estrazione dei file in corso"
 
-#: lib/libalpm/add.c:438 lib/libalpm/util.c:463
+#: lib/libalpm/add.c:438 lib/libalpm/util.c:465
 msgid "could not get current working directory"
 msgstr "impossibile utilizzare la directory corrente"
 
@@ -276,7 +276,7 @@
 msgid "could not add entry '%s' in cache"
 msgstr "impossible includere la voce '%s' nella cache"
 
-#: lib/libalpm/add.c:838 lib/libalpm/remove.c:364 lib/libalpm/sync.c:1038
+#: lib/libalpm/add.c:838 lib/libalpm/remove.c:364 lib/libalpm/sync.c:1039
 #, c-format
 msgid "running \"ldconfig -r %s\""
 msgstr "esecuzione in corso di \"ldconfig -r %s\""
@@ -637,7 +637,7 @@
 #: lib/libalpm/deps.c:631 lib/libalpm/deps.c:671 lib/libalpm/group.c:43
 #: lib/libalpm/handle.c:49 lib/libalpm/package.c:80 lib/libalpm/sync.c:65
 #: lib/libalpm/sync.c:598 lib/libalpm/sync.c:614 lib/libalpm/sync.c:711
-#: lib/libalpm/trans.c:52 lib/libalpm/util.c:609 lib/libalpm/util.c:616
+#: lib/libalpm/trans.c:52 lib/libalpm/util.c:611 lib/libalpm/util.c:618
 #, c-format
 msgid "malloc failure: could not allocate %d bytes"
 msgstr "malloc failure: impossibile allocare %d byte"
@@ -665,10 +665,9 @@
 
 #: lib/libalpm/db.c:184
 #, c-format
-msgid "database directory '%s' does not exist -- try creating it"
+msgid "database directory '%s' does not exist, try creating it"
 msgstr ""
-"la directory del database '%s' non esiste -- verr?? fatto un tentativo per "
-"crearla"
+"la directory del database '%s' non esiste, verr?? fatto un tentativo per crearla"
 
 #: lib/libalpm/db.c:195
 #, c-format
@@ -872,7 +871,7 @@
 msgid "operation not compatible with the transaction type"
 msgstr "operazione non possibile"
 
-#: lib/libalpm/error.c:91 lib/libalpm/sync.c:977
+#: lib/libalpm/error.c:91 lib/libalpm/sync.c:978
 msgid "could not commit transaction"
 msgstr "impossibile eseguire l'operazione"
 
@@ -984,26 +983,36 @@
 msgid "unexpected error"
 msgstr "errore inaspettato"
 
-#: lib/libalpm/handle.c:164
+#: lib/libalpm/handle.c:161
+#, c-format
+msgid "cannot canonicalize specified root path '%s'"
+msgstr "impossibile convertire il path di root specificato '%s'"
+
+#: lib/libalpm/handle.c:173
 #, c-format
 msgid "option 'root' = %s"
 msgstr "opzione 'root' = %s"
 
-#: lib/libalpm/handle.c:180
+#: lib/libalpm/handle.c:193
 #, c-format
 msgid "option 'dbpath' = %s"
 msgstr "opzione 'dbpath' = %s"
 
-#: lib/libalpm/handle.c:196
+#: lib/libalpm/handle.c:209
 #, c-format
 msgid "option 'cachedir' = %s"
 msgstr "opzione 'cachedir' = %s"
 
-#: lib/libalpm/md5driver.c:51 lib/libalpm/sha1.c:398
+#: lib/libalpm/md5driver.c:51
 #, c-format
 msgid "%s can't be opened\n"
 msgstr "impossibile aprire %s\n"
 
+#: lib/libalpm/md5driver.c:68 lib/libalpm/sha1.c:412
+#, c-format
+msgid "sha1(%s) = %s"
+msgstr "sha1(%s) = %s"
+
 #: lib/libalpm/package.c:148
 #, c-format
 msgid "%s: forcing upgrade to version %s"
@@ -1176,6 +1185,11 @@
 msgid "could not remove entry '%s' from cache"
 msgstr "impossibile rimuovere '%s' dalla cache"
 
+#: lib/libalpm/sha1.c:398
+#, c-format
+msgid "sha1: %s can't be opened\n"
+msgstr "sha1: impossibile aprire %s\n"
+
 #: lib/libalpm/sync.c:181
 msgid "checking for package upgrades"
 msgstr "controllo in corso dell'aggiornamento dei pacchetti"
@@ -1288,12 +1302,12 @@
 
 #: lib/libalpm/sync.c:803
 #, c-format
-msgid "no %s cache exists.  creating...\n"
+msgid "no %s cache exists, creating...\n"
 msgstr "la cache di %s non esiste, creazione in corso...\n"
 
 #: lib/libalpm/sync.c:804
 #, c-format
-msgid "warning: no %s cache exists.  creating..."
+msgid "warning: no %s cache exists, creating..."
 msgstr "attenzione: la cache di %s non esiste, creazione in corso..."
 
 #: lib/libalpm/sync.c:809
@@ -1312,81 +1326,81 @@
 msgid "failed to retrieve some files from %s\n"
 msgstr "impossibile recuperare alcuni file da %s\n"
 
-#: lib/libalpm/sync.c:846 lib/libalpm/sync.c:858
+#: lib/libalpm/sync.c:847 lib/libalpm/sync.c:859
 #, c-format
 msgid "can't get md5 or sha1 checksum for package %s\n"
 msgstr "impossibile recuperare il checksum md5 o sha1 del pacchetto %s\n"
 
-#: lib/libalpm/sync.c:877
+#: lib/libalpm/sync.c:878
 #, c-format
 msgid "archive %s was corrupted (bad MD5 or SHA1 checksum)\n"
 msgstr "archivio %s era corrotto (MD5 o SHA1 checksum errato)\n"
 
-#: lib/libalpm/sync.c:879
+#: lib/libalpm/sync.c:880
 #, c-format
 msgid "archive %s is corrupted (bad MD5 or SHA1 checksum)\n"
 msgstr "archivio %s ?? corrotto (MD5 o SHA1 checksum errato)\n"
 
-#: lib/libalpm/sync.c:900
+#: lib/libalpm/sync.c:901
 msgid "could not create removal transaction"
 msgstr "impossibile avviare l'operazione di rimozione"
 
-#: lib/libalpm/sync.c:906
+#: lib/libalpm/sync.c:907
 msgid "could not initialize the removal transaction"
 msgstr "impossibile inizializzare l'operazione di rimozione"
 
-#: lib/libalpm/sync.c:926
+#: lib/libalpm/sync.c:927
 msgid "removing conflicting and to-be-replaced packages"
 msgstr "rimozione in corso dei pacchetti in conflitto e da sostituire"
 
-#: lib/libalpm/sync.c:928
+#: lib/libalpm/sync.c:929
 msgid "could not prepare removal transaction"
 msgstr "impossibile preparare l'operazione di rimozione"
 
-#: lib/libalpm/sync.c:934
+#: lib/libalpm/sync.c:935
 msgid "could not commit removal transaction"
 msgstr "impossibile eseguire l'operazione di rimozione"
 
-#: lib/libalpm/sync.c:941
+#: lib/libalpm/sync.c:942
 msgid "installing packages"
 msgstr "installazione dei pacchetti in corso"
 
-#: lib/libalpm/sync.c:944
+#: lib/libalpm/sync.c:945
 msgid "could not create transaction"
 msgstr "impossibile avviare l'operazione"
 
-#: lib/libalpm/sync.c:949
+#: lib/libalpm/sync.c:950
 msgid "could not initialize transaction"
 msgstr "impossibile inizializzare l'operazione"
 
-#: lib/libalpm/sync.c:972
+#: lib/libalpm/sync.c:973
 msgid "could not prepare transaction"
 msgstr "impossibile preparare l'operazione"
 
-#: lib/libalpm/sync.c:984
+#: lib/libalpm/sync.c:985
 msgid "updating database for replaced packages' dependencies"
 msgstr ""
 "aggiornamento in corso del database per le dipendenze dei pacchetti "
 "sostituiti"
 
-#: lib/libalpm/sync.c:1013
+#: lib/libalpm/sync.c:1014
 #, c-format
 msgid "could not update requiredby for database entry %s-%s"
 msgstr ""
 "impossibile aggiornare il campo 'richiesto da' per la voce del database %s-%s"
 
-#: lib/libalpm/sync.c:1022
+#: lib/libalpm/sync.c:1023
 #, c-format
 msgid "could not update new database entry %s-%s"
 msgstr "impossibile aggiornare la nuova voce del database %s-%s"
 
-#: lib/libalpm/sync.c:1062
+#: lib/libalpm/sync.c:1063
 #, c-format
 msgid "found package '%s-%s' in sync"
 msgstr "trovato il pacchetto '%s-%s' nel database"
 
-#: lib/libalpm/sync.c:1068
-#, fuzzy, c-format
+#: lib/libalpm/sync.c:1069
+#, c-format
 msgid "package '%s' not found in sync"
 msgstr "impossibile trovare il pacchetto '%s'"
 
@@ -1414,76 +1428,81 @@
 msgid "could not find dependency '%s'"
 msgstr "impossibile trovare la dipendenza '%s'"
 
-#: lib/libalpm/util.c:278
+#: lib/libalpm/util.c:142
+#, c-format
+msgid "failed to make path '%s' : %s"
+msgstr "impossibile raggiungere il path '%s' : %s"
+
+#: lib/libalpm/util.c:280
 #, c-format
 msgid "could not open %s: %s\n"
 msgstr "impossibile aprire %s: %s\n"
 
-#: lib/libalpm/util.c:291
+#: lib/libalpm/util.c:293
 #, c-format
 msgid "could not extract %s: %s\n"
 msgstr "impossibile estrarre %s: %s\n"
 
-#: lib/libalpm/util.c:349
+#: lib/libalpm/util.c:351
 #, c-format
 msgid "logaction called: %s"
 msgstr "logaction chiamata: %s"
 
-#: lib/libalpm/util.c:443
+#: lib/libalpm/util.c:445
 msgid "could not create temp directory"
 msgstr "impossibile creare la directory temporanea"
 
-#: lib/libalpm/util.c:470
+#: lib/libalpm/util.c:472
 #, c-format
 msgid "could not change directory to %s (%s)"
 msgstr "impossibile spostarsi nella directory %s (%s)"
 
-#: lib/libalpm/util.c:473
+#: lib/libalpm/util.c:475
 #, c-format
 msgid "executing %s script..."
 msgstr "esecuzione dello script %s in corso..."
 
-#: lib/libalpm/util.c:486
+#: lib/libalpm/util.c:488
 #, c-format
 msgid "could not fork a new process (%s)"
 msgstr "impossibile effettuare il fork di un nuovo processo (%s)"
 
-#: lib/libalpm/util.c:493
+#: lib/libalpm/util.c:495
 #, c-format
 msgid "chrooting in %s"
 msgstr "chroot in corso nella directory %s"
 
-#: lib/libalpm/util.c:495
+#: lib/libalpm/util.c:497
 #, c-format
 msgid "could not change the root directory (%s)"
 msgstr "impossibile cambiare la root directory (%s)"
 
-#: lib/libalpm/util.c:499
+#: lib/libalpm/util.c:501
 #, c-format
 msgid "could not change directory to / (%s)"
 msgstr "impossibile spostarsi nella directory / (%s)"
 
-#: lib/libalpm/util.c:503
+#: lib/libalpm/util.c:505
 #, c-format
 msgid "executing \"%s\""
 msgstr "esecuzione in corso di \"%s\""
 
-#: lib/libalpm/util.c:506
+#: lib/libalpm/util.c:508
 #, c-format
 msgid "call to popen failed (%s)"
 msgstr "chiamata a popen non riuscita (%s)"
 
-#: lib/libalpm/util.c:538
+#: lib/libalpm/util.c:540
 #, c-format
 msgid "call to waitpid failed (%s)"
 msgstr "chiamata a waitpid non riuscita (%s)"
 
-#: lib/libalpm/util.c:547
+#: lib/libalpm/util.c:549
 #, c-format
 msgid "could not remove tmpdir %s"
 msgstr "impossibile rimuovere la directory temporanea %s"
 
-#: lib/libalpm/util.c:604
+#: lib/libalpm/util.c:606
 #, c-format
 msgid "check_freespace: total pkg size: %lld, disk space: %lld"
 msgstr ""