Index: src/pacman/po/it.po
===================================================================
RCS file: /home/cvs-pacman/pacman-lib/src/pacman/po/it.po,v
retrieving revision 1.17
diff -u -r1.17 it.po
--- src/pacman/po/it.po	19 Mar 2007 02:45:01 -0000	1.17
+++ src/pacman/po/it.po	21 Mar 2007 10:37:17 -0000
@@ -9,8 +9,8 @@
 msgstr ""
 "Project-Id-Version: Pacman package manager 3.0.0\n"
 "Report-Msgid-Bugs-To: pacman-dev@archlinux.org\n"
-"POT-Creation-Date: 2007-03-19 02:42+0100\n"
-"PO-Revision-Date: 2007-03-19 03:30+0100\n"
+"POT-Creation-Date: 2007-03-21 10:44+0100\n"
+"PO-Revision-Date: 2007-03-21 11:40+0100\n"
 "Last-Translator: Giovanni Scafora <linuxmania@gmail.com>\n"
 "Language-Team: Arch Linux Italian Team <linuxmania@gmail.com>\n"
 "MIME-Version: 1.0\n"
@@ -38,9 +38,8 @@
 msgstr "impossibile aggiungere il pacchetto '%s' (%s)"
 
 #: src/pacman/add.c:88 src/pacman/sync.c:196 src/pacman/trans.c:73
-#: src/pacman/trans.c:80 src/pacman/trans.c:84 src/pacman/trans.c:94
-#: src/pacman/trans.c:108 src/pacman/trans.c:122 src/pacman/trans.c:134
-#: src/pacman/trans.c:145
+#: src/pacman/trans.c:80 src/pacman/trans.c:91 src/pacman/trans.c:105
+#: src/pacman/trans.c:119 src/pacman/trans.c:131 src/pacman/trans.c:142
 msgid "done.\n"
 msgstr "fatto.\n"
 
@@ -54,22 +53,22 @@
 msgid ":: %s: requires %s"
 msgstr ":: %s: richiede %s"
 
-#: src/pacman/add.c:125 src/pacman/sync.c:645
+#: src/pacman/add.c:125 src/pacman/sync.c:643
 #, c-format
 msgid ":: %s: conflicts with %s"
 msgstr ":: %s: va in conflitto con %s"
 
-#: src/pacman/add.c:134 src/pacman/sync.c:709
+#: src/pacman/add.c:134 src/pacman/sync.c:707
 #, c-format
 msgid "%s exists in both '%s' and '%s'\n"
 msgstr "%s ?? gi?? presente in '%s' e in '%s'\n"
 
-#: src/pacman/add.c:140 src/pacman/sync.c:715
+#: src/pacman/add.c:140 src/pacman/sync.c:713
 #, c-format
 msgid "%s: %s exists in filesystem\n"
 msgstr "%s: %s ?? gi?? presente nel filesystem\n"
 
-#: src/pacman/add.c:146 src/pacman/sync.c:721 src/pacman/sync.c:727
+#: src/pacman/add.c:146 src/pacman/sync.c:719 src/pacman/sync.c:725
 msgid ""
 "\n"
 "errors occurred, no packages were upgraded.\n"
@@ -77,18 +76,18 @@
 "\n"
 "si sono verificati degli errori, nessun pacchetto ?? stato aggiornato.\n"
 
-#: src/pacman/add.c:156 src/pacman/sync.c:652
+#: src/pacman/add.c:156 src/pacman/sync.c:650
 #, c-format
 msgid ":: %.1f MB required, have %.1f MB"
 msgstr ":: %.1f MB richiesti, spazio a disposizione %.1f MB"
 
-#: src/pacman/add.c:169 src/pacman/remove.c:141 src/pacman/sync.c:702
+#: src/pacman/add.c:169 src/pacman/remove.c:141 src/pacman/sync.c:700
 #, c-format
 msgid "failed to commit transaction (%s)\n"
 msgstr "impossibile eseguire l'operazione richiesta (%s)\n"
 
 #: src/pacman/add.c:179 src/pacman/remove.c:151 src/pacman/sync.c:524
-#: src/pacman/sync.c:743
+#: src/pacman/sync.c:741
 #, c-format
 msgid "failed to release transaction (%s)\n"
 msgstr "impossibile annullare l'operazione richiesta (%s)\n"
@@ -211,7 +210,7 @@
 #: src/pacman/package.c:89
 #, c-format
 msgid "Build Date     : %s %s\n"
-msgstr "Creato in data : %s %s\n"
+msgstr "Creato il      : %s %s\n"
 
 #: src/pacman/package.c:90
 #, c-format
@@ -273,7 +272,7 @@
 #: src/pacman/package.c:180
 #, c-format
 msgid "error calculating checksums for %s\n"
-msgstr "si ?? verificato un errore durante il calcolo del checksum di %s\n"
+msgstr "si ?? verificato un errore durante il calcolo dei checksum di %s\n"
 
 #: src/pacman/package.c:193
 #, c-format
@@ -364,7 +363,7 @@
 #: src/pacman/pacman.c:140
 #, c-format
 msgid "  -d, --nodeps         skip dependency checks\n"
-msgstr "  -d, --nodeps         ignora le dipendenze richieste\n"
+msgstr "  -d, --nodeps         ignora i controlli sulle dipendenze\n"
 
 #: src/pacman/pacman.c:104 src/pacman/pacman.c:121 src/pacman/pacman.c:142
 #, c-format
@@ -382,8 +381,7 @@
 #, c-format
 msgid ""
 "  -c, --cascade        remove packages and all packages that depend on them\n"
-msgstr ""
-"  -c, --cascade        rimuove tutte le dipendenze a cascata\n"
+msgstr "  -c, --cascade        rimuove i pacchetti con tutte le dipendenze\n"
 
 #: src/pacman/pacman.c:110
 #, c-format
@@ -402,7 +400,8 @@
 #, c-format
 msgid ""
 "  -s, --recursive      remove dependencies also (that won't break packages)\n"
-msgstr "  -s, --recursive      rimuove anche le dipendenze (non richieste altrove)\n"
+msgstr ""
+"  -s, --recursive      rimuove anche le dipendenze (non richieste altrove)\n"
 
 #: src/pacman/pacman.c:115
 #, c-format
@@ -430,8 +429,7 @@
 "  -e, --orphans        list all packages installed as dependencies but no "
 "longer\n"
 msgstr ""
-"  -e, --orphans        elenca tutti i pacchetti installati come dipendenze e "
-"non\n"
+"  -e, --orphans        elenca i pacchetti installati che non sono dipendenze\n"
 
 #: src/pacman/pacman.c:127
 #, c-format
@@ -482,8 +480,7 @@
 "  -s, --search         search locally-installed packages for matching "
 "strings\n"
 msgstr ""
-"  -s, --search         cerca nei pacchetti installati le corrispondenti "
-"stringhe\n"
+"  -s, --search         cerca nei pacchetti installati le stringhe corrispondenti\n"
 
 #: src/pacman/pacman.c:135
 #, c-format
@@ -515,7 +512,8 @@
 #: src/pacman/pacman.c:145
 #, c-format
 msgid "  -l. --list <repo>    view a list of packages in a repo\n"
-msgstr "  -l, --list <repo>    visualizza la lista dei pacchetti di un repository\n"
+msgstr ""
+"  -l, --list <repo>    visualizza la lista dei pacchetti di un repository\n"
 
 #: src/pacman/pacman.c:146
 #, c-format
@@ -576,7 +574,8 @@
 #, c-format
 msgid ""
 "      --ask <number>   pre-specify answers for questions (see manpage)\n"
-msgstr "      --ask <numero>   specifica in anticipo le risposte alle domande\n"
+msgstr ""
+"      --ask <numero>   specifica in anticipo le risposte alle domande\n"
 
 #: src/pacman/pacman.c:156
 #, c-format
@@ -588,7 +587,7 @@
 #, c-format
 msgid ""
 "      --noscriptlet    do not execute the install scriptlet if there is any\n"
-msgstr "      --noscriptlet    non esegue lo script install\n"
+msgstr "      --noscriptlet    non esegue un eventuale script di install\n"
 
 #: src/pacman/pacman.c:158
 #, c-format
@@ -626,7 +625,7 @@
 #: src/pacman/pacman.c:300
 #, c-format
 msgid "'%s' is not a valid debug level"
-msgstr "'%s' livello di debug non valido"
+msgstr "'%s' non ?? un livello di debug valido"
 
 #: src/pacman/pacman.c:315
 #, c-format
@@ -641,7 +640,7 @@
 #: src/pacman/pacman.c:363
 #, c-format
 msgid "'%s' is not a valid root path\n"
-msgstr "'%s' path di root non valido\n"
+msgstr "'%s' non ?? un path di root valido\n"
 
 #: src/pacman/pacman.c:390
 msgid "only one operation may be used at a time\n"
@@ -665,64 +664,78 @@
 msgid "failed to parse config (%s)\n"
 msgstr "impossibile analizzare la configurazione (%s)\n"
 
-#: src/pacman/pacman.c:515 src/pacman/remove.c:128 src/pacman/util.c:324
-msgid "Targets:"
-msgstr "Pacchetti:"
+#: src/pacman/pacman.c:516
+msgid "Targets  :"
+msgstr "Pacchetti  :"
 
-#: src/pacman/pacman.c:521
+#: src/pacman/pacman.c:522
 #, c-format
 msgid "could not register 'local' database (%s)\n"
 msgstr "impossibile registrare il database 'locale' (%s)\n"
 
-#: src/pacman/pacman.c:528
+#: src/pacman/pacman.c:529
 msgid "no targets specified (use -h for help)\n"
 msgstr "nessun pacchetto specificato (usare -h per un aiuto)\n"
 
-#: src/pacman/pacman.c:541
+#: src/pacman/pacman.c:542
 msgid "no operation specified (use -h for help)\n"
 msgstr "nessuna operazione specificata (usare -h per un aiuto)\n"
 
-#: src/pacman/query.c:56
+#: src/pacman/query.c:57
 msgid "no file was specified for --owns\n"
 msgstr "nessun file specificato per --owns\n"
 
-#: src/pacman/query.c:74
+#: src/pacman/query.c:62
+#, c-format
+msgid "failed to read file '%s': %s"
+msgstr "impossibile leggere il file '%s': %s"
+
+#: src/pacman/query.c:67
+msgid "cannot determine ownership of a directory"
+msgstr "impossibile determinare il proprietario di una directory"
+
+#: src/pacman/query.c:72
+#, c-format
+msgid "cannot determine real path for '%s': %s"
+msgstr "impossibile determinare la posizione reale di '%s': %s"
+
+#: src/pacman/query.c:85
 #, c-format
 msgid "%s is owned by %s %s\n"
 msgstr "%s ?? contenuto in %s %s\n"
 
-#: src/pacman/query.c:81
+#: src/pacman/query.c:92
 #, c-format
 msgid "No package owns %s\n"
 msgstr "Nessun pacchetto contiene %s\n"
 
-#: src/pacman/query.c:122 src/pacman/sync.c:453
+#: src/pacman/query.c:133 src/pacman/sync.c:453
 msgid "no usable package repositories configured.\n"
-msgstr "nessun repository configurato.\n"
+msgstr "non ?? stato configurato nessun repository di pacchetti valido.\n"
 
-#: src/pacman/query.c:128
+#: src/pacman/query.c:139
 msgid "Checking for package upgrades..."
-msgstr "Controllo dei pacchetti da aggiornare in corso..."
+msgstr "Controllo degli aggiornamenti dei pacchetti in corso..."
 
-#: src/pacman/query.c:135
+#: src/pacman/query.c:146
 msgid "no upgrades found"
 msgstr "nessun aggiornamento trovato"
 
-#: src/pacman/query.c:173
+#: src/pacman/query.c:184
 #, c-format
 msgid "group \"%s\" was not found\n"
 msgstr "gruppo \"%s\" non trovato\n"
 
-#: src/pacman/query.c:184
+#: src/pacman/query.c:195
 msgid "no package file was specified for --file\n"
-msgstr "nessun file del pacchetto specificato per --file\n"
+msgstr "nessun file di pacchetto specificato per --file\n"
 
-#: src/pacman/query.c:188
+#: src/pacman/query.c:199
 #, c-format
 msgid "failed to load package '%s' (%s)\n"
 msgstr "impossibile caricare il pacchetto '%s' (%s)\n"
 
-#: src/pacman/query.c:225 src/pacman/query.c:257
+#: src/pacman/query.c:236 src/pacman/query.c:268
 #, c-format
 msgid "package \"%s\" not found\n"
 msgstr "pacchetto \"%s\" non trovato\n"
@@ -734,7 +747,7 @@
 
 #: src/pacman/remove.c:63
 msgid "    Remove whole content? [Y/n] "
-msgstr "    Rimuovere tutto il contenuto? [Y/n] "
+msgstr "    Rimuovere l'intero contenuto? [Y/n] "
 
 #: src/pacman/remove.c:67
 #, c-format
@@ -756,6 +769,10 @@
 msgid ":: %s is required by %s\n"
 msgstr ":: %s ?? richiesto da %s\n"
 
+#: src/pacman/remove.c:128 src/pacman/util.c:324
+msgid "Targets:"
+msgstr "Pacchetti:"
+
 #: src/pacman/remove.c:131
 msgid ""
 "\n"
@@ -861,7 +878,7 @@
 
 #: src/pacman/sync.c:520
 msgid ":: first, then you can re-run the operation with the newer version.\n"
-msgstr ":: adesso e riavviare l'operazione con la versione pi?? recente.\n"
+msgstr ":: prima e poi riavviare l'operazione con la versione pi?? recente.\n"
 
 #: src/pacman/sync.c:522
 msgid ":: Upgrade pacman first? [Y/n] "
@@ -879,7 +896,7 @@
 
 #: src/pacman/sync.c:572
 msgid ":: Install whole content? [Y/n] "
-msgstr ":: Installare tutto il contenuto? [Y/n] "
+msgstr ":: Installare l'intero contenuto? [Y/n] "
 
 #: src/pacman/sync.c:579
 #, c-format
@@ -891,19 +908,15 @@
 msgid "'%s': not found in sync db\n"
 msgstr "'%s': non trovato nel database\n"
 
-#: src/pacman/sync.c:623
+#: src/pacman/sync.c:621
 msgid "requires"
 msgstr "richiede"
 
-#: src/pacman/sync.c:623
-msgid "is required by"
-msgstr "?? richiesto da"
-
-#: src/pacman/sync.c:665
+#: src/pacman/sync.c:663
 msgid " local database is up to date\n"
 msgstr " Il database locale ?? aggiornato\n"
 
-#: src/pacman/sync.c:674
+#: src/pacman/sync.c:672
 msgid ""
 "\n"
 "Beginning download...\n"
@@ -911,11 +924,11 @@
 "\n"
 "Download in corso...\n"
 
-#: src/pacman/sync.c:678
+#: src/pacman/sync.c:676
 msgid "Proceed with download? [Y/n] "
 msgstr "Procedere con il download? [Y/n] "
 
-#: src/pacman/sync.c:686
+#: src/pacman/sync.c:684
 msgid ""
 "\n"
 "Beginning upgrade process...\n"
@@ -923,7 +936,7 @@
 "\n"
 "Aggiornamento in corso...\n"
 
-#: src/pacman/sync.c:690
+#: src/pacman/sync.c:688
 msgid "Proceed with installation? [Y/n] "
 msgstr "Procedere con l'installazione? [Y/n] "
 
@@ -945,106 +958,106 @@
 
 #: src/pacman/trans.c:69
 msgid "looking for inter-conflicts... "
-msgstr "ricerca dei conflitti in corso... "
+msgstr "ricerca dei conflitti incrociati in corso... "
 
-#: src/pacman/trans.c:89
+#: src/pacman/trans.c:86
 #, c-format
 msgid "installing %s... "
 msgstr "installazione di %s in corso... "
 
-#: src/pacman/trans.c:96
+#: src/pacman/trans.c:93
 #, c-format
 msgid "installed %s (%s)"
 msgstr "installato %s (%s)"
 
-#: src/pacman/trans.c:103
+#: src/pacman/trans.c:100
 #, c-format
 msgid "removing %s... "
-msgstr "rimozione in corso di %s... "
+msgstr "rimozione di %s in corso... "
 
-#: src/pacman/trans.c:110
+#: src/pacman/trans.c:107
 #, c-format
 msgid "removed %s (%s)"
 msgstr "rimosso %s (%s)"
 
-#: src/pacman/trans.c:117
+#: src/pacman/trans.c:114
 #, c-format
 msgid "upgrading %s... "
-msgstr "aggiornamento in corso di %s... "
+msgstr "aggiornamento di %s in corso... "
 
-#: src/pacman/trans.c:124
+#: src/pacman/trans.c:121
 #, c-format
 msgid "upgraded %s (%s -> %s)"
 msgstr "aggiornato %s (%s -> %s)"
 
-#: src/pacman/trans.c:131
+#: src/pacman/trans.c:128
 msgid "checking package integrity... "
 msgstr "controllo dell'integrit?? dei pacchetti in corso... "
 
-#: src/pacman/trans.c:147
+#: src/pacman/trans.c:144
 msgid "failed.\n"
 msgstr "non riuscito.\n"
 
-#: src/pacman/trans.c:154
+#: src/pacman/trans.c:151
 #, c-format
 msgid ":: Retrieving packages from %s...\n"
 msgstr ":: Recupero dei pacchetti da %s...\n"
 
-#: src/pacman/trans.c:175
+#: src/pacman/trans.c:172
 #, c-format
 msgid ":: %1$s requires %2$s from IgnorePkg. Install %2$s? [Y/n] "
 msgstr ":: %1$s richiede %2$s da IgnorePkg. Installare %2$s? [Y/n] "
 
-#: src/pacman/trans.c:180
+#: src/pacman/trans.c:177
 #, c-format
 msgid ":: %s is in IgnorePkg. Install anyway? [Y/n] "
 msgstr ":: %s ?? in IgnorePkg. Installare ugualmente? [Y/n] "
 
-#: src/pacman/trans.c:193
+#: src/pacman/trans.c:190
 #, c-format
 msgid ":: %s is designated as a HoldPkg. Remove anyway? [Y/n] "
-msgstr ":: %s ?? in HoldPkg. Rimuovere ugualmente? [Y/n] "
+msgstr ":: %s ?? presente in HoldPkg. Rimuovere ugualmente? [Y/n] "
 
-#: src/pacman/trans.c:206
+#: src/pacman/trans.c:203
 #, c-format
 msgid ":: Replace %s with %s/%s? [Y/n] "
 msgstr ":: Sostituire %s con %s/%s? [Y/n] "
 
-#: src/pacman/trans.c:221
+#: src/pacman/trans.c:218
 #, c-format
 msgid ":: %s conflicts with %s. Remove %s? [Y/n] "
 msgstr ":: %s va in conflitto con %s. Rimuovere %s? [Y/n] "
 
-#: src/pacman/trans.c:237
+#: src/pacman/trans.c:234
 #, c-format
 msgid ":: %s-%s: local version is newer. Upgrade anyway? [Y/n] "
 msgstr ""
 ":: %s-%s: la versione installata ?? pi?? recente. Aggiornare ugualmente? [Y/n] "
 
-#: src/pacman/trans.c:255
+#: src/pacman/trans.c:252
 #, c-format
 msgid ":: %s-%s: local version is up to date. Upgrade anyway? [Y/n] "
 msgstr ""
 ":: %s-%s: la versione installata ?? aggiornata. Aggiornare ugualmente? [Y/n] "
 
-#: src/pacman/trans.c:273
+#: src/pacman/trans.c:270
 #, c-format
 msgid ":: Archive %s is corrupted. Do you want to delete it? [Y/n] "
 msgstr ":: L'archivio %s ?? corrotto. Eliminarlo? [Y/n] "
 
-#: src/pacman/trans.c:329
+#: src/pacman/trans.c:326
 msgid "installing"
 msgstr "installazione in corso di "
 
-#: src/pacman/trans.c:332
+#: src/pacman/trans.c:329
 msgid "upgrading"
 msgstr "aggiornamento in corso di"
 
-#: src/pacman/trans.c:335
+#: src/pacman/trans.c:332
 msgid "removing"
 msgstr "rimozione in corso di"
 
-#: src/pacman/trans.c:338
+#: src/pacman/trans.c:335
 msgid "checking for file conflicts"
 msgstr "controllo dei conflitti in corso"
 
@@ -1080,6 +1093,9 @@
 msgid "Total Installed Size:   %.2f MB\n"
 msgstr "Dimensione totale dei pacchetti installati:   %.2f MB\n"
 
+#~ msgid "is required by"
+#~ msgstr "?? richiesto da"
+
 #~ msgid "Installed Size : %ld K\n"
 #~ msgstr "Dimensione     : %ld K\n"
 